<?php

if(!defined('ABSPATH')) exit;
if(!current_user_can('manage_options')) exit;
if(!empty($_POST['option_name'])) $option_name=array_map('sanitize_text_field',$_POST['option_name']);
if(!empty($_POST['option_value'])) $option_value=array_map('sanitize_text_field',$_POST['option_value']);
$input_saved=0;

// Get Versions
  global $wp_version;
  global $atb_version;
  $atb_db_version=get_option('atb_db_version');
  $atb_pro_version='';
  $atb_version_type='GPL';
  $pro_path=str_replace('admin-toolbox','admin-toolbox-PRO',plugin_dir_path( __FILE__ )).'pro_functions.php';
  if(is_plugin_active('admin-toolbox-PRO/pro_functions.php')) if(file_exists($pro_path)){include_once $pro_path; $atb_version_type='PRO'; $atb_pro_version=get_option('atb_pro_version');}
  $get_version=atb_r("SELECT @@version as version;");
  if($get_version) foreach($get_version as $row):$mysql_version=$row->version;endforeach;

// Sync Configuration
  if($atb_version!=$atb_db_version) atb_activate(1); // Run dbDelta upgrade

// Update Configuration
if(!empty($_POST['atb_config']) && check_admin_referer('atb_config','atb_config')) {
  foreach($option_name as $index=>$option) $delete_config=atb_r("DELETE FROM wp_atb_options WHERE option_name='".$option_name[$index]."'; ");
  reset($option_name);
  foreach($option_name as $index=>$option) $insert_config=atb_r("INSERT INTO wp_atb_options (option_name,option_value) VALUES('".$option."','".$option_value[$index]."'); ");
  $input_saved++;
}


// Get Configuration
$get_config=atb_r("SELECT option_name,option_value FROM wp_atb_options;");
$not_set='';
if($get_config): 
  foreach ($get_config as $row): 
    if($row->option_name=='disable_visual_editor') $disable_visual_editor=$row->option_value;
    if($row->option_name=='disable_visual_editor_role') $disable_visual_editor_role=$row->option_value;
    if($row->option_name=='disable_visual_editor_role_exclude') $disable_visual_editor_role_exclude=$row->option_value;
    if($row->option_name=='disable_visual_editor_post') $disable_visual_editor_post=$row->option_value;
    if($row->option_name=='disable_visual_editor_post_exclude') $disable_visual_editor_post_exclude=$row->option_value;
    
    if($row->option_name=='hide_new_btn') $hide_new_btn=$row->option_value;
    if($row->option_name=='hide_new_btn_role') $hide_new_btn_role=$row->option_value;
    if($row->option_name=='hide_new_btn_role_exclude') $hide_new_btn_role_exclude=$row->option_value;
    if($row->option_name=='hide_new_btn_post') $hide_new_btn_post=$row->option_value;
    if($row->option_name=='hide_new_btn_post_exclude') $hide_new_btn_post_exclude=$row->option_value;
    
    if($row->option_name=='hide_bulk_action') $hide_bulk_action=$row->option_value;
    if($row->option_name=='hide_bulk_action_role') $hide_bulk_action_role=$row->option_value;
    if($row->option_name=='hide_bulk_action_role_exclude') $hide_bulk_action_role_exclude=$row->option_value;
    if($row->option_name=='hide_bulk_action_post') $hide_bulk_action_post=$row->option_value;
    if($row->option_name=='hide_bulk_action_post_exclude') $hide_bulk_action_post_exclude=$row->option_value;
    
    if($row->option_name=='limit_revisions') $limit_revisions=$row->option_value;
    if($row->option_name=='limit_revisions_count') $limit_revisions_count=$row->option_value;
    if($row->option_name=='limit_revisions_post') $limit_revisions_post=$row->option_value;
    if($row->option_name=='limit_revisions_post_exclude') $limit_revisions_post_exclude=$row->option_value;
    
    if($row->option_name=='disable_heartbeat') $disable_heartbeat=$row->option_value;
    if($row->option_name=='disable_heartbeat_pagetype') $disable_heartbeat_pagetype=$row->option_value;
    if($row->option_name=='disable_heartbeat_pagetype_exclude') $disable_heartbeat_pagetype_exclude=$row->option_value;
    if($row->option_name=='disable_heartbeat_post') $disable_heartbeat_post=$row->option_value;
    if($row->option_name=='disable_heartbeat_post_exclude') $disable_heartbeat_post_exclude=$row->option_value;
    
    if($row->option_name=='limit_usereditor_role') $limit_usereditor_role=$row->option_value;
    if($row->option_name=='limit_usereditor_role_role') $limit_usereditor_role_role=$row->option_value;
    if($row->option_name=='limit_usereditor_role_role_exclude') $limit_usereditor_role_role_exclude=$row->option_value;
    if($row->option_name=='limit_usereditor_hiderole_role') $limit_usereditor_hiderole_role=$row->option_value;
    
    if($row->option_name=='limit_img_size') $limit_img_size=$row->option_value;
    if($row->option_name=='limit_img_size_role') $limit_img_size_role=$row->option_value;
    if($row->option_name=='limit_img_size_role_exclude') $limit_img_size_role_exclude=$row->option_value;
    if($row->option_name=='limit_img_size_kb') $limit_img_size_kb=$row->option_value;
    
    if($row->option_name=='password_reset_link') $password_reset_link=$row->option_value;
    if($row->option_name=='password_reset_link_role') $password_reset_link_role=$row->option_value;
    if($row->option_name=='password_reset_link_role_exclude') $password_reset_link_role_exclude=$row->option_value;
    
    if($row->option_name=='disable_notices') $disable_notices=$row->option_value;
    if($row->option_name=='disable_notices_role') $disable_notices_role=$row->option_value;
    if($row->option_name=='disable_notices_role_exclude') $disable_notices_role_exclude=$row->option_value;
    
    if($row->option_name=='page_hit') $page_hit=$row->option_value;
    if($row->option_name=='page_hit_role') $page_hit_role=$row->option_value;
    if($row->option_name=='page_hit_role_exclude') $page_hit_role_exclude=$row->option_value;
    if($row->option_name=='page_hit_keep') $page_hit_keep=$row->option_value;
    
    if($row->option_name=='editor_warning') $editor_warning=$row->option_value;
    if($row->option_name=='editor_warning_role') $editor_warning_role=$row->option_value;
    if($row->option_name=='editor_warning_role_exclude') $editor_warning_role_exclude=$row->option_value;
    
    if($row->option_name=='dual_auth') $dual_auth=$row->option_value;
    if($row->option_name=='dual_auth_role') $dual_auth_role=$row->option_value;
    if($row->option_name=='dual_auth_role_exclude') $dual_auth_role_exclude=$row->option_value;
    if($row->option_name=='dual_auth_ip_exclude') $dual_auth_ip_exclude=$row->option_value;

    if($row->option_name=='disable_wpautop') $disable_wpautop=$row->option_value;
    if($row->option_name=='disable_wpautop_post') $disable_wpautop_post=$row->option_value;
    if($row->option_name=='disable_wpautop_post_exclude') $disable_wpautop_post_exclude=$row->option_value;
    
    if($row->option_name=='disable_locs') $disable_locs=$row->option_value;
    if($row->option_name=='disable_locs_ctry') $disable_locs_ctry=$row->option_value;
    if($row->option_name=='disable_locs_exclude') $disable_locs_exclude=$row->option_value;
    
    if($row->option_name=='hide_survey') $hide_survey=$row->option_value;
  endforeach;
  
  if($page_hit>0)
    atb_r("CREATE TABLE IF NOT EXISTS wp_atb_pagehits
      (hit_id INT NOT NULL AUTO_INCREMENT
      ,date TIMESTAMP DEFAULT CURRENT_TIMESTAMP
      ,ip VARCHAR(191) NULL
      ,userid INT
      ,url VARCHAR(500)	 
      ,referrer VARCHAR(500)
      ,PRIMARY KEY (hit_id));
    ");
  $atb_setup=0;
else:
  $atb_setup=1;
  $not_set="<div style='color:orange'>&#9888; Choose an option to proceed</div>";
endif;

if(!isset($disable_visual_editor)) $disable_visual_editor='';
if(!isset($disable_visual_editor_role_exclude)) $disable_visual_editor_role_exclude=0; //new
if(!isset($disable_visual_editor_role)) $disable_visual_editor_role='*All';
if(!isset($disable_visual_editor_post_exclude)) $disable_visual_editor_post_exclude=0; //new
if(!isset($disable_visual_editor_post)) $disable_visual_editor_post='*All';

if(!isset($hide_new_btn)) $hide_new_btn='';
if(!isset($hide_new_btn_role_exclude)) $hide_new_btn_role_exclude=1; //new
if(!isset($hide_new_btn_role)) $hide_new_btn_role='administrator';
if(!isset($hide_new_btn_post_exclude)) $hide_new_btn_post_exclude=0; //new
if(!isset($hide_new_btn_post)) $hide_new_btn_post='*All';

if(!isset($hide_bulk_action)) $hide_bulk_action='';
if(!isset($hide_bulk_action_role_exclude)) $hide_bulk_action_role_exclude=1; //new
if(!isset($hide_bulk_action_role)) $hide_bulk_action_role='administrator';
if(!isset($hide_bulk_action_post_exclude)) $hide_bulk_action_post_exclude=0; //new
if(!isset($hide_bulk_action_post)) $hide_bulk_action_post='*All';

if(!isset($disable_heartbeat)) $disable_heartbeat='';
if(!isset($disable_heartbeat_pagetype)) $disable_heartbeat_pagetype='Public';
if(!isset($disable_heartbeat_pagetype_exclude)) $disable_heartbeat_pagetype_exclude=0;
if(!isset($disable_heartbeat_post)) $disable_heartbeat_post='*All';
if(!isset($disable_heartbeat_post_exclude)) $disable_heartbeat_post_exclude=1;

if(!isset($limit_revisions)) $limit_revisions='';
if(!isset($limit_revisions_count)) $limit_revisions_count=20;
if(!isset($limit_revisions_post_exclude)) $limit_revisions_post_exclude=0; //new
if(!isset($limit_revisions_post)) $limit_revisions_post='*All';

if(!isset($limit_usereditor_role)) $limit_usereditor_role='';
if(!isset($limit_usereditor_role_role_exclude)) $limit_usereditor_role_role_exclude=1;
if(!isset($limit_usereditor_role_role)) $limit_usereditor_role_role='administrator';
if(!isset($limit_usereditor_hiderole_role)) $limit_usereditor_hiderole_role='administrator';

if(!isset($password_reset_link)) $password_reset_link='';
if(!isset($password_reset_link_role_exclude)) $password_reset_link_role_exclude=0; //new
if(!isset($password_reset_link_role)) $password_reset_link_role='*All';

if(!isset($disable_notices)) $disable_notices='';
if(!isset($disable_notices_role_exclude)) $disable_notices_role_exclude=1;
if(!isset($disable_notices_role)) $disable_notices_role='administrator';

if(!isset($limit_img_size)) $limit_img_size=0;
if(!isset($limit_img_size_role_exclude)) $limit_img_size_role_exclude=0;
if(!isset($limit_img_size_role)) $limit_img_size_role='*All';
if(!isset($limit_img_size_kb)) $limit_img_size_kb='512';

if(!isset($page_hit)) $page_hit=0;
if(!isset($page_hit_role_exclude)) $page_hit_role_exclude=0;
if(!isset($page_hit_role)) $page_hit_role='*All';
if(!isset($page_hit_keep)) $page_hit_keep=1;

if(!isset($editor_warning)) $editor_warning=0;
if(!isset($editor_warning_role_exclude)) $editor_warning_role_exclude=0;
if(!isset($editor_warning_role)) $editor_warning_role='*All';

if(!isset($dual_auth)) $dual_auth=0;
if(!isset($dual_auth_role_exclude)) $dual_auth_role_exclude=1;
if(!isset($dual_auth_role)) $dual_auth_role='administrator';
if(!isset($dual_auth_ip_exclude)) $dual_auth_ip_exclude='';

if(!isset($disable_wpautop)) $disable_wpautop=0;
if(!isset($disable_wpautop_post)) $disable_wpautop_post='*All';
if(!isset($disable_wpautop_post_exclude)) $disable_wpautop_post_exclude=0;

if(!isset($disable_locs)) $disable_locs=0;
if(!isset($disable_locs_exclude)) $disable_locs_exclude=0;
if(!isset($disable_locs_ctry)) $disable_locs_ctry='';

if(!isset($hide_survey)) $hide_survey='0';


$phv=0;
if(atb_is_path('phv=')) if($_GET['phv']>0) $phv=1;
?>
<table id='atb_head' class='atb_control' style='width:100%;border:none;'>
  <tr>
    <td align='left'>
      <img style='height:20px;' src='<?php echo plugins_url('/assets/AdminToolbox.png',__FILE__);?>'>
      <div class='atb_links'>
        <a href="#!" onclick="atb_expand('atb_setup');">Setup <span class="dashicons dashicons-admin-plugins"></span></a><br>
        <a href="#!" onclick="atb_expand('atb_pro');"><span class='caps'>Admin Toolbox <span class='pro'>Pro</span><span class="dashicons dashicons-chart-line" style='color:#b71b8a'></span><span style='color:#1177aa;font-weight:bold'></a><br>
        <a href="#!" onclick="atb_expand('atb_diag');">Support & Diagnostics <span class="dashicons dashicons-admin-tools"></span></a>
      </div>
      <br><hr style='width:50%;float:left'><br>
      <?php if(isset($phv)) if($phv>0) { ?>
        <a id='atb_return' href='#!' onclick="atb_switchScreen('atb_admin');"><div id='atb_return_icon'></div> Return to Admin</a>
      <?php } ?>
    </td>
  </tr>
</table>

  <div id='atb_diag' class='atb_control atb_expand'style='float:right'>
    <span style='color:#1177aa;font-weight:bold'><span class="dashicons dashicons-admin-tools"></span> Support & Diagnostics</span>
    <a onclick="atb_expand('atb_diag');" style='text-decoration:none;float:right'><span class="dashicons dashicons-dismiss"></span></a><hr>
    <br>
    <div id='atb_diag_data'>
      <b>Configuration</b><br>
      Path <?php echo substr(plugin_dir_path( __FILE__ ),-34);?><br>
      WP Version <?php echo $wp_version; if(is_multisite()) echo 'multi'; ?><br>
      PHP Version <?php echo phpversion();?><br>
      MYSQL Version <?php echo $mysql_version;?><br>
      Admin Toolbox Version <?php echo $atb_version.' '.$atb_version_type.' '.$atb_pro_version; ?><br>
      Admin Toolbox db <?php echo $atb_db_version;?><br>
      <hr>
      <b>Settings</b><br>
      <?php if($atb_setup==0) { ?>
      Page hit: <?php echo $page_hit;?>, role <?php echo $page_hit_role;?>, role_exclude <?php echo $page_hit_role_exclude;?>, keep_data <?php echo $page_hit_keep;?><br>
      Dual auth: <?php echo $dual_auth;?>, role <?php echo $dual_auth_role;?>, role_exclude <?php echo $dual_auth_role_exclude;?>, ip_exclude <?php echo $dual_auth_ip_exclude;?><br>
      Hide bulk action: <?php echo $hide_bulk_action;?>, role <?php echo $hide_bulk_action_role;?>, role_exclude <?php echo $hide_bulk_action_role_exclude;?>, post <?php echo $hide_bulk_action_post;?>, post_exclude <?php echo $hide_bulk_action_post_exclude;?><br>
      Hide new button: <?php echo $hide_new_btn;?>, role <?php echo $hide_new_btn_role;?>, role_exclude <?php echo $hide_new_btn_role_exclude;?>, post <?php echo $hide_new_btn_post;?>, post_exclude <?php echo $hide_new_btn_post_exclude;?><br>
      Disabled visual editor: <?php echo $disable_visual_editor;?>, role <?php echo $disable_visual_editor_role;?>, role_exclude <?php echo $disable_visual_editor_role_exclude;?>, post <?php echo $disable_visual_editor_post;?>, post_exclude <?php echo $disable_visual_editor_post_exclude;?><br>
      Disable heartbeat: <?php echo $disable_heartbeat;?>, pagetype <?php echo $disable_heartbeat_pagetype;?>, pagetype_exclude <?php echo $disable_heartbeat_pagetype_exclude;?>, post <?php echo $disable_heartbeat_post;?>, post_exclude <?php echo $disable_heartbeat_post_exclude;?><br>
      Limit revisions: <?php echo $limit_revisions;?>, count <?php echo $limit_revisions_count;?>, post <?php echo $limit_revisions_post;?>, post_exclude <?php echo $limit_revisions_post_exclude;?><br>
      Limit user editor: <?php echo $limit_usereditor_role;?>, role <?php echo $limit_usereditor_role_role;?>, role_exclude <?php echo $limit_usereditor_role_role_exclude;?>, hiderole <?php echo $limit_usereditor_hiderole_role;?><br>
      Limit image size: <?php echo $limit_img_size;?>, role <?php echo $limit_img_size_role;?>, role_exclude <?php echo $limit_img_size_role_exclude;?>, size_kb <?php echo $limit_img_size_kb;?><br>
      Editor warning: <?php echo $editor_warning;?>, role <?php echo $editor_warning_role;?>, role_exclude <?php echo $editor_warning_role_exclude;?><br>
      Password reset: <?php echo $password_reset_link;?>, role <?php echo $password_reset_link_role;?>, role_exclude <?php echo $password_reset_link_role_exclude;?><br>
      Disable notices: <?php echo $disable_notices;?>, role <?php echo $disable_notices_role;?>, role_exclude <?php echo $disable_notices_role_exclude;?><br>
      Disable wpautop: <?php echo $disable_wpautop;?>, post <?php echo $disable_wpautop_post;?>, post_exclude <?php echo $disable_wpautop_post_exclude;?><br>
      Geo location: <?php echo $disable_locs;?>, ctry <?php echo $disable_locs_ctry;?>, exclude <?php echo $disable_locs_exclude;?><br>
      survey <?php echo $hide_survey;?><br><?php 
    } else echo 'Incomplete Setup'; ?>
    </div>
    <br><input type='button' class='button caps' style='width:100%' value='copy diagnostics' id='atb_diag_copy' onclick="atb_copy('atb_diag_data',this.id);">
    <div style='color:#1177aa;padding:1em'>Please provide diagnostics when submitting issues.</div>
    <a class='atb_support' href="http://richardlerma.com/r1cm/" target='_blank'>contact support</a>
  </div>

  <div id='atb_pro' class='atb_control atb_expand' style='float:right'>
    Get <span class='caps'>Admin Toolbox <span class='pro'>Pro</span></span><span class="dashicons dashicons-chart-line" style='color:#b71b8a;vertical-align:text-bottom'></span>
    <a onclick="atb_expand('atb_pro');" style='text-decoration:none;float:right'><span class="dashicons dashicons-dismiss"></span></a><hr>
    <br>
      <strong>Features</strong>
      <ul style='padding:unset'>
        <li>View & Filter itemized page visits by date, user & URL
        <li>Geo-Location Lockout capabilities
        <li>Two-Factor Authentication via Text
        <li>Dedicated support with guaranteed 12 hour response time (~6 hour average)
        <li>Access to all FUTURE PRO features
        <li>PRO add-on installs quickly over existing plugin
      </ul>
    <?php if($atb_version_type!='PRO') { ?><div style='line-height:3em'><div class='caps'>To upgrade, please agree to the following:</div><input id='pro_terms' type='checkbox'>I've <a href='<?php echo get_admin_url(null,'update-core.php');?>' target='_blank'>checked for updates</a>. My existing version of Admin Toolbox is current.</div><?php } ?>
    <div><input id='pro_cmp' type='checkbox' <?php if($atb_version_type=='PRO') echo 'checked disabled'; ?>>I understand the PRO <a href='http://richardlerma.com/r1cm/?atb=terms' target='_blank'>terms & conditions</a>.</div>
    
    <?php if($atb_version_type=='PRO') { ?>
      <div class='attn caps' style='font-weight:normal'><span class='dashicons dashicons-yes'></span> Thanks for using Pro!</div>
      <input type='button' class='button' value='Check for Updates' onclick="window.location.href='<?php echo get_admin_url(null,'admin.php?page=admin-toolbox&pro_update=1');?>';"><?php 
    } else { ?><a onclick="if(document.getElementById('pro_terms').checked && document.getElementById('pro_cmp').checked) return true; else {alert('Please verify your existing version is current and agree to terms & conditions'); return false;}" class='atb_link caps' style='margin-top:1em' href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=WKMZW5NZP8MP8" target='_blank'>Purchase Pro</a><br><?php } ?>
  </div><?php

if($page_hit>0) atb_view_summary($atb_version_type);

if($phv>0 && function_exists('atb_view_hits')) atb_view_hits();?>

<div id='atb_admin'>

  <form class='atb_form' name='atb_config' id='atb_config' method='post' accept-charset='UTF-8 ISO-8859-1' action='<?php echo get_admin_url(null,'admin.php?page=admin-toolbox');?>'>
    <?php echo wp_nonce_field('atb_config','atb_config');?>
    <table id='atb_settings' class='atb_control' cellspacing='0' cellpadding='0'>
      <tr style='background:transparent;color:#1177aa;font-weight:bold'><th align='left' colspan='4'>&#9881; Settings<hr><br></th></tr>
      <tr>
        <th style='min-width:150px'>Feature</th>
        <th>Status</th>
        <th>Condition One</th>
        <th>Condition Two</th>
      </tr>

      <tr style='background:#FFF'>
        <td>
          <span class='atb_title'><span class="dashicons dashicons-chart-line"></span>Capture Site Visits</span><br>Capture site visit statistics and chart traffic performance.<br><br>
          <?php if($atb_version_type=='PRO') { ?>
            <span class="dashicons dashicons-unlock" style='color:#b71b8a'></span> <span class='caps'>Pro</span> feature is active. <input type='button' value='view' id='view_hits_btn' class='atb_button' onclick="atb_loading(); window.location='<?php echo get_admin_url(null,'admin.php?page=admin-toolbox');?>&phv=1';"><?php 
            } else { ?>
            <span class="dashicons dashicons-lock" style='color:#CCC'></span><a href="#atb_head" onclick="atb_expand('atb_pro');">Unlock <span class='caps'>Pro</span></a> to view itemized records by date, user & URL.<?php 
          } ?>
        </td>
        <td nowrap>
          <input type='hidden' name='option_name[]' value='page_hit'>
          <select name='option_value[]' id='page_hit' onchange="atb_change('atb_config',this.id,this.selectedIndex);">
            <option value='' disabled  <?php if($atb_setup>0) echo 'selected';?>>Site Visit Tracking
            <option value='1' <?php if($page_hit==1) echo 'selected';?>>Enabled
            <option value='0' <?php if($page_hit==0 && $atb_setup==0) echo 'selected';?>>Disabled (WP Default)
          </select>
          <span id='page_hit-sel' class='sel_status'><?php echo $not_set;?></span>
        </td>

        <td nowrap id='page_hit_role_td' <?php if($page_hit==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='page_hit_role'>
          <input type='hidden' name='option_value[]' id='page_hit_role'>
          <input type='hidden' name='option_name[]' value='page_hit_role_exclude'>
          
          <select name='option_value[]'>
            <option value='0'>Target these
            <option value='1' <?php if($page_hit_role_exclude==1) echo 'selected';?>>Exclude these
          </select>
          
          <select id='page_hit_role_select' onchange="atb_multiselect('page_hit','role',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Users
            <option value='*All'>All Users<?php
            foreach(get_editable_roles() as $role_name=>$role_info):?>
              <option value='<?php echo $role_name;?>'><?php echo $role_name;
            endforeach;?>
          </select><br>
          
          <div id='page_hit_role_items' class='atb_select_items'></div>
        </td>
        <td nowrap id='limit_img_size_post_td' <?php if($page_hit==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>

          <input type='hidden' name='option_name[]' value='page_hit_keep'>
          <select name='option_value[]'>
            <option value='' selected disabled>Uninstall Option
            <option value='1'  <?php if($page_hit_keep>0) echo 'selected';?>>Keep Data Safe
            <option value='0'  <?php if($page_hit_keep<1) echo 'selected';?>>Delete all Plugin Data
          </select>
        </td>
      </tr>

      <tr style='background:#F5F5F5'>
        <td><span class='atb_title'><span class="dashicons dashicons-lock"></span>Two-Factor Authentication (2FA)</span> <br>2FA is an extra layer of security that requires a physical token upon login.<br><br><?php if($atb_version_type=='PRO') { ?><span class="dashicons dashicons-unlock" style='color:#b71b8a'></span> <span class='caps'>Pro</span> feature is active.<div style='margin-top:1em;font-size:.9em'>After next 2FA users are prompted for a mobile number.</div><?php } else { ?><span class="dashicons dashicons-lock" style='color:#CCC'></span><a href="#atb_head" onclick="atb_expand('atb_pro');">Unlock <span class='caps'>Pro</span></a> for 2FA via text.<?php } ?></td>
        <td nowrap>
          <input type='hidden' name='option_name[]' value='dual_auth'>
          <select name='option_value[]' id='dual_auth' onchange="atb_change('atb_config',this.id,this.selectedIndex);">
            <option value='' disabled  <?php if($atb_setup>0) echo 'selected';?>>Dual Authentication
            <option value='1' <?php if($dual_auth==1) echo 'selected';?>>Enabled
            <option value='0' <?php if($dual_auth==0 && $atb_setup==0) echo 'selected';?>>Disabled (WP Default)
          </select>
          <span id='dual_auth-sel' class='sel_status'><?php echo $not_set;?></span>
        </td>
        
        <td nowrap id='dual_auth_role_td' <?php if($dual_auth==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='dual_auth_role'>
          <input type='hidden' name='option_value[]' id='dual_auth_role'>
          <input type='hidden' name='option_name[]' value='dual_auth_role_exclude'>
          
          <select name='option_value[]'>
            <option value='0'>Target these
            <option value='1' <?php if($dual_auth_role_exclude==1) echo 'selected';?>>Exclude these
          </select>
          
          <select id='dual_auth_role_select' onchange="atb_multiselect('dual_auth','role',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Users
            <option value='*All'>All Users<?php
            foreach(get_editable_roles() as $role_name=>$role_info):?>
              <option value='<?php echo $role_name;?>'><?php echo $role_name;
            endforeach;?>
          </select><br>
          
          <div id='dual_auth_role_items' class='atb_select_items'></div>
        </td>
        
        <td nowrap id='dual_auth_ip_exclude_post_td'>
          <input type='hidden' name='option_name[]' value='dual_auth_ip_exclude'>
          Allow these IPs to Bypass 2FA<br>e.g. <?php echo $_SERVER['REMOTE_ADDR'];?><br>
          <textarea name='option_value[]' style='width:100%;min-height:70px' title='Separate IPs by new line' placeholder='Separate IPs by new line'><?php echo str_replace(' ','&#10;',$dual_auth_ip_exclude); ?></textarea>
        </td>
      </tr>
      
      <tr style='background:#FFF'>
        <td><span class='atb_title'><span class="dashicons dashicons-list-view"></span> Hide Bulk Actions</span><br>Hide list bulk actions, quick edit, and delete options. This features hides these actions only in lists, it does not remove functionality.</td>
        <td nowrap>
          <input type='hidden' name='option_name[]' value='hide_bulk_action'>
          <select name='option_value[]' id='hide_bulk_action' onchange="atb_change('atb_config',this.id,this.selectedIndex);">
            <option value='' disabled  <?php if($atb_setup>0) echo 'selected';?>>Hide New Post Button
            <option value='1' <?php if($hide_bulk_action==1) echo 'selected';?>>Enabled
            <option value='0' <?php if($hide_bulk_action==0 && $atb_setup==0) echo 'selected';?>>Disabled (WP Default)
          </select>
          <span id='hide_bulk_action-sel' class='sel_status'><?php echo $not_set;?></span>
        </td>
        
        <td nowrap id='hide_bulk_action_role_td' <?php if($hide_bulk_action==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='hide_bulk_action_role'>
          <input type='hidden' name='option_value[]' id='hide_bulk_action_role'>
          <input type='hidden' name='option_name[]' value='hide_bulk_action_role_exclude'>
          
          <select name='option_value[]'>
            <option value='0'>Target these
            <option value='1' <?php if($hide_bulk_action_role_exclude==1) echo 'selected';?>>Exclude these
          </select>
          
          <select id='hide_bulk_action_role_select' onchange="atb_multiselect('hide_bulk_action','role',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Users
            <option value='*All'>All Users<?php
            foreach(get_editable_roles() as $role_name=>$role_info):?>
              <option value='<?php echo $role_name;?>'><?php echo $role_name;
            endforeach;?>
          </select><br>
          
          <div id='hide_bulk_action_role_items' class='atb_select_items'></div>
        </td>
        
        <td nowrap id='hide_bulk_action_post_td' <?php if($hide_bulk_action==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='hide_bulk_action_post'>
          <input type='hidden' name='option_value[]' id='hide_bulk_action_post'>
          <input type='hidden' name='option_name[]' value='hide_bulk_action_post_exclude'>
          
          <select name='option_value[]'>
            <option value='0'>Target these
            <option value='1' <?php if($hide_bulk_action_post_exclude==1) echo 'selected';?>>Exclude these
          </select>
          
          <select id='hide_bulk_action_post_select' onchange="atb_multiselect('hide_bulk_action','post',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Posts
            <option value='*All'>All Posts<?php
            foreach(get_post_types('','names') as $post_type):?>
              <option value='<?php echo $post_type;?>'><?php echo $post_type;
            endforeach;?>
          </select><br>
          
          <div id='hide_bulk_action_post_items' class='atb_select_items'></div>
        </td>
      </tr>

      <tr style='background:#F5F5F5'>
        <td><span class='atb_title'><span class="dashicons dashicons-plus-alt"></span>Hide New Post Button</span><br>Hide new post buttons. This visually hides the button, it does not remove functionality.</td>
        <td nowrap>
          <input type='hidden' name='option_name[]' value='hide_new_btn'>
          <select name='option_value[]' id='hide_new_btn' onchange="atb_change('atb_config',this.id,this.selectedIndex);">
            <option value='' disabled  <?php if($atb_setup>0) echo 'selected';?>>Hide New Post Button
            <option value='1' <?php if($hide_new_btn==1) echo 'selected';?>>Enabled
            <option value='0' <?php if($hide_new_btn==0 && $atb_setup==0) echo 'selected';?>>Disabled (WP Default)
          </select>
          <span id='hide_new_btn-sel' class='sel_status'><?php echo $not_set;?></span>
        </td>
        
        <td nowrap id='hide_new_btn_role_td' <?php if($hide_new_btn==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='hide_new_btn_role'>
          <input type='hidden' name='option_value[]' id='hide_new_btn_role'>
          <input type='hidden' name='option_name[]' value='hide_new_btn_role_exclude'>
          
          <select name='option_value[]'>
            <option value='0'>Target these
            <option value='1' <?php if($hide_new_btn_role_exclude==1) echo 'selected';?>>Exclude these
          </select>
          
          <select id='hide_new_btn_role_select' onchange="atb_multiselect('hide_new_btn','role',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Users
            <option value='*All'>All Users<?php
            foreach(get_editable_roles() as $role_name=>$role_info):?>
              <option value='<?php echo $role_name;?>'><?php echo $role_name;
            endforeach;?>
          </select><br>
          
          <div id='hide_new_btn_role_items' class='atb_select_items'></div>
        </td>
        
        <td nowrap id='hide_new_btn_post_td' <?php if($hide_new_btn==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='hide_new_btn_post'>
          <input type='hidden' name='option_value[]' id='hide_new_btn_post'>
          <input type='hidden' name='option_name[]' value='hide_new_btn_post_exclude'>
          
          <select name='option_value[]'>
            <option value='0'>Target these
            <option value='1' <?php if($hide_new_btn_post_exclude==1) echo 'selected';?>>Exclude these
          </select>
          
          <select id='hide_new_btn_post_select' onchange="atb_multiselect('hide_new_btn','post',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Posts
            <option value='*All'>All Posts<?php
            foreach(get_post_types('','names') as $post_type):?>
              <option value='<?php echo $post_type;?>'><?php echo $post_type;
            endforeach;?>
          </select><br>
          
          <div id='hide_new_btn_post_items' class='atb_select_items'></div>
        </td>
      </tr>
      
      <tr style='background:#FFF'>
        <td><span class='atb_title'><span class="dashicons dashicons-hidden"></span> Disable Visual Editor</span><br>Edit posts without a visual preview. Stop the TinyMCE visual editor from reformatting the code.</td>
        <td nowrap>
          <input type='hidden' name='option_name[]' value='disable_visual_editor'>
          <select name='option_value[]' id='disable_visual_editor' onchange="atb_change('atb_config',this.id,this.selectedIndex);">
            <option value='' disabled  <?php if($atb_setup>0) echo 'selected';?>>Disable Visual Editor
            <option value='1' <?php if($disable_visual_editor==1) echo 'selected';?>>Enabled
            <option value='0' <?php if($disable_visual_editor==0 && $atb_setup==0) echo 'selected';?>>Disabled (WP Default)
          </select>
          <span id='disable_visual_editor-sel' class='sel_status'><?php echo $not_set;?></span>
        </td>
        
        <td nowrap id='disable_visual_editor_role_td' <?php if($disable_visual_editor==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='disable_visual_editor_role'>
          <input type='hidden' name='option_value[]' id='disable_visual_editor_role'>
          <input type='hidden' name='option_name[]' value='disable_visual_editor_role_exclude'>
          
          <select name='option_value[]'>
            <option value='0'>Target these
            <option value='1' <?php if($disable_visual_editor_role_exclude==1) echo 'selected';?>>Exclude these
          </select>
          
          <select id='disable_visual_editor_role_select' onchange="atb_multiselect('disable_visual_editor','role',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Users
            <option value='*All'>All Users<?php
            foreach(get_editable_roles() as $role_name=>$role_info):?>
              <option value='<?php echo $role_name;?>'><?php echo $role_name;
            endforeach;?>
          </select><br>
          
          <div id='disable_visual_editor_role_items' class='atb_select_items'></div>
        </td>
        
        <td nowrap id='disable_visual_editor_post_td' <?php if($disable_visual_editor==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='disable_visual_editor_post'>
          <input type='hidden' name='option_value[]' id='disable_visual_editor_post'>
          <input type='hidden' name='option_name[]' value='disable_visual_editor_post_exclude'>
          
          <select name='option_value[]'>
            <option value='0'>Target these
            <option value='1' <?php if($disable_visual_editor_post_exclude==1) echo 'selected';?>>Exclude these
          </select>
          
          <select id='disable_visual_editor_post_select' onchange="atb_multiselect('disable_visual_editor','post',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Posts
            <option value='*All'>All Posts<?php
            foreach(get_post_types('','names') as $post_type):?>
              <option value='<?php echo $post_type;?>'><?php echo $post_type;
            endforeach;?>
          </select><br>
          
          <div id='disable_visual_editor_post_items' class='atb_select_items'></div>
        </td>
      </tr>
      
      <tr style='background:#F5F5F5'>
        <td><span class='atb_title'><span class="dashicons dashicons-heart"></span> Limit Heartbeat</span><br>Limit background resources used for revision tracking and session management.</td>
        <td nowrap>
          <input type='hidden' name='option_name[]' value='disable_heartbeat'>
          <select name='option_value[]' id='disable_heartbeat' onchange="atb_change('atb_config',this.id,this.selectedIndex);">
            <option value='' disabled  <?php if($atb_setup>0) echo 'selected';?>>Limit Heartbeat
            <option value='1' <?php if($disable_heartbeat==1) echo 'selected';?>>Enabled
            <option value='0' <?php if($disable_heartbeat==0 && $atb_setup==0) echo 'selected';?>>Disabled (WP Default)
          </select>
          <span id='disable_heartbeat-sel' class='sel_status'><?php echo $not_set;?></span>
        </td>
        
        <td nowrap id='disable_heartbeat_pagetype_td' <?php if($disable_heartbeat==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='disable_heartbeat_pagetype'>
          <input type='hidden' name='option_value[]' id='disable_heartbeat_pagetype'>
          <input type='hidden' name='option_name[]' value='disable_heartbeat_pagetype_exclude'>
          
          <select name='option_value[]'>
            <option value='0'>Stop Heartbeat on
            <option value='1' <?php if($disable_heartbeat_pagetype_exclude==1) echo 'selected';?>>Keep Heartbeat on
          </select>
          
          <select id='disable_heartbeat_pagetype_select' onchange="atb_multiselect('disable_heartbeat','pagetype',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Page Types
            <option value='*All'>All Pages
            <option value='Admin'>Admin Pages
            <option value='Public'>Public Pages
          </select><br>
          
          <div id='disable_heartbeat_pagetype_items' class='atb_select_items'></div>
        </td>
        
        <td nowrap id='disable_heartbeat_post_td' <?php if($disable_heartbeat==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='disable_heartbeat_post'>
          <input type='hidden' name='option_value[]' id='disable_heartbeat_post'>
          <input type='hidden' name='option_name[]' value='disable_heartbeat_post_exclude'>
          
          <select name='option_value[]'>
            <option value='0'>Stop Heartbeat on
            <option value='1' <?php if($disable_heartbeat_post_exclude==1) echo 'selected';?>>Keep Heartbeat on
          </select>
          
          <select id='disable_heartbeat_post_select' onchange="atb_multiselect('disable_heartbeat','post',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Posts
            <option value='*All'>All Posts<?php
            foreach(get_post_types('','names') as $post_type):?>
              <option value='<?php echo $post_type;?>'><?php echo $post_type;
            endforeach;?>
          </select><br>
          
          <div id='disable_heartbeat_post_items' class='atb_select_items'></div>
        </td>
      </tr>
      
      <tr style='background:#FFF'>
        <td><span class='atb_title'><span class="dashicons dashicons-edit"></span> Limit Revisions</span><br>Limit excessive accumulation of revisions by post type. By default, WordPress keeps infinite revisions. Enabling this option deletes revisions older than the number selected.</td>
        <td nowrap>
          <input type='hidden' name='option_name[]' value='limit_revisions'>
          <select name='option_value[]' id='limit_revisions' onchange="atb_change('atb_config',this.id,this.selectedIndex);">
            <option value='' disabled  <?php if($atb_setup>0) echo 'selected';?>>Limit Revisions
            <option value='1' <?php if($limit_revisions==1) echo 'selected';?>>Enabled
            <option value='0' <?php if($limit_revisions==0 && $atb_setup==0) echo 'selected';?>>Disabled (WP Default)
          </select>
          <span id='limit_revisions-sel' class='sel_status'><?php echo $not_set;?></span>
        </td>
        
        <td nowrap id='limit_revisions_count_td' <?php if($limit_revisions==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='limit_revisions_count'>
          <select name='option_value[]'>
            <option value='' selected disabled>Limit Revisions
            <option value='0'  <?php if($limit_revisions_count==0) echo 'selected';?>>Limit to 0 Revisions
            <option value='5'  <?php if($limit_revisions_count==5) echo 'selected';?>>Limit to 5 Revisions
            <option value='10' <?php if($limit_revisions_count==10) echo 'selected';?>>Limit to 10 Revisions
            <option value='20' <?php if($limit_revisions_count==20) echo 'selected';?>>Limit to 20 Revisions
            <option value='50' <?php if($limit_revisions_count==50) echo 'selected';?>>Limit to 50 Revisions
            <option value='99' <?php if($limit_revisions_count==99) echo 'selected';?>>Limit to 99 Revisions
          </select>
        </td>
        
        <td nowrap id='limit_revisions_post_td' <?php if($limit_revisions==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='limit_revisions_post'>
          <input type='hidden' name='option_value[]' id='limit_revisions_post'>
          <input type='hidden' name='option_name[]' value='limit_revisions_post_exclude'>
          
          <select name='option_value[]'>
            <option value='0'>Limit Revisions on
            <option value='1' <?php if($limit_revisions_post_exclude==1) echo 'selected';?>>Exclude Limit from
          </select>
          
          <select id='limit_revisions_post_select' onchange="atb_multiselect('limit_revisions','post',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Posts
            <option value='*All'>All Posts<?php
            foreach(get_post_types('','names') as $post_type):?>
              <option value='<?php echo $post_type;?>'><?php echo $post_type;
            endforeach;?>
          </select><br>
          
          <div id='limit_revisions_post_items' class='atb_select_items'></div>
        </td>
      </tr>
      
      <tr style='background:#F5F5F5'>
        <td><span class='atb_title'><span class="dashicons dashicons-admin-users"></span> Hide Roles</span><br>Select roles to hide in the user editor. Limit roles that have access to other roles.</td>
        <td nowrap>
          <input type='hidden' name='option_name[]' value='limit_usereditor_role'>
          <select name='option_value[]' id='limit_usereditor_role' onchange="atb_change('atb_config',this.id,this.selectedIndex);">
            <option value='' disabled  <?php if($atb_setup>0) echo 'selected';?>>Hide Roles
            <option value='1' <?php if($limit_usereditor_role==1) echo 'selected';?>>Enabled
            <option value='0' <?php if($limit_usereditor_role==0 && $atb_setup==0) echo 'selected';?>>Disabled (WP Default)
          </select>
          <span id='limit_usereditor_role-sel' class='sel_status'><?php echo $not_set;?></span>
        </td>
        
        <td nowrap id='limit_usereditor_role_role_td' <?php if($limit_usereditor_role==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='limit_usereditor_hiderole_role'>
          <input type='hidden' name='option_value[]' id='limit_usereditor_hiderole_role'>
          <input type='hidden' name='option_name[]' value='limit_usereditor_role_role_exclude'>
          
          <select name='option_value[]'>
            <option value='0'>Target these
            <option value='1' <?php if($limit_usereditor_role_role_exclude==1) echo 'selected';?>>Exclude these
          </select>
          
          <select id='limit_usereditor_role_role_select' onchange="atb_multiselect('limit_usereditor_role','role',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Users
            <option value='*All'>All Users<?php
            foreach(get_editable_roles() as $role_name=>$role_info):?>
              <option value='<?php echo $role_name;?>'><?php echo $role_name;
            endforeach;?>
          </select><br>
          
          <div id='limit_usereditor_role_role_items' class='atb_select_items'></div>
          <input type='hidden' name='option_name[]' value='limit_usereditor_role_role'>
          <input type='hidden' name='option_value[]' id='limit_usereditor_role_role'>
        </td>
        
        <td nowrap id='limit_usereditor_role_post_td' <?php if($limit_usereditor_role==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
          <select id='limit_usereditor_hiderole_role_select' onchange="atb_multiselect('limit_usereditor_hiderole','role',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Hide These Roles on User Edit Screen
          <option value='*All'>All Roles<?php
            foreach(get_editable_roles() as $role_name=>$role_info):?>
              <option value='<?php echo $role_name;?>'><?php echo $role_name;
            endforeach;?>
          </select><br>
          
          <div id='limit_usereditor_hiderole_role_items' class='atb_select_items'></div>
        </td>
      </tr>
      
      <tr style='background:#FFF'>
        <td><span class='atb_title'><span class="dashicons dashicons-images-alt2"></span> Limit Media Size</span><br>Set the maximum size for new images uploaded via the media library.</td>
        <td nowrap>
          <input type='hidden' name='option_name[]' value='limit_img_size'>
          <select name='option_value[]' id='limit_img_size' onchange="atb_change('atb_config',this.id,this.selectedIndex);">
            <option value='' disabled  <?php if($atb_setup>0) echo 'selected';?>>Hide Roles
            <option value='1' <?php if($limit_img_size==1) echo 'selected';?>>Enabled
            <option value='0' <?php if($limit_img_size==0 && $atb_setup==0) echo 'selected';?>>Disabled (WP Default)
          </select>
          <span id='limit_img_size-sel' class='sel_status'><?php echo $not_set;?></span>
        </td>
        
        <td nowrap id='limit_img_size_role_td' <?php if($limit_img_size==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='limit_img_size_role'>
          <input type='hidden' name='option_value[]' id='limit_img_size_role'>
          <input type='hidden' name='option_name[]' value='limit_img_size_role_exclude'>
          
          <select name='option_value[]'>
            <option value='0'>Target these
            <option value='1' <?php if($limit_img_size_role_exclude==1) echo 'selected';?>>Exclude these
          </select>
          
          <select id='limit_img_size_role_select' onchange="atb_multiselect('limit_img_size','role',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Users
            <option value='*All'>All Users<?php
            foreach(get_editable_roles() as $role_name=>$role_info):?>
              <option value='<?php echo $role_name;?>'><?php echo $role_name;
            endforeach;?>
          </select><br>
          
          <div id='limit_img_size_role_items' class='atb_select_items'></div>
        </td>
        
        <td nowrap id='limit_img_size_post_td' <?php if($limit_img_size==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='limit_img_size_kb'>
          <select name='option_value[]'>
            <option value='' selected disabled>Max Image Size
            <option value='212'  <?php if($limit_img_size_kb==212) echo 'selected';?>>200kb
            <option value='512'  <?php if($limit_img_size_kb==512) echo 'selected';?>>500kb
            <option value='1024' <?php if($limit_img_size_kb==1024) echo 'selected';?>>1MB
            <option value='2024' <?php if($limit_img_size_kb==2024) echo 'selected';?>>2MB
            <option value='5024' <?php if($limit_img_size_kb==5024) echo 'selected';?>>5MB
            <option value='10024' <?php if($limit_img_size_kb==10024) echo 'selected';?>>10MB
          </select>
        </td>
      </tr>
      
      <tr style='background:#F5F5F5'>
        <td><span class='atb_title'><span class="dashicons dashicons-warning"></span> PHP Editor Warning</span><br>Add an onsubmit warning to the Appearance > Editor that emphasizes the risk of editing live PHP files</td>
        <td nowrap>
          <input type='hidden' name='option_name[]' value='editor_warning'>
          <select name='option_value[]' id='editor_warning' onchange="atb_change('atb_config',this.id,this.selectedIndex);">
            <option value='' disabled  <?php if($atb_setup>0) echo 'selected';?>>PHP Editor Warning
            <option value='1' <?php if($editor_warning==1) echo 'selected';?>>Enabled
            <option value='0' <?php if($editor_warning==0 && $atb_setup==0) echo 'selected';?>>Disabled (WP Default)
          </select>
          <span id='editor_warning-sel' class='sel_status'><?php echo $not_set;?></span>
        </td>
        
        <td nowrap id='editor_warning_role_td' <?php if($editor_warning==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='editor_warning_role'>
          <input type='hidden' name='option_value[]' id='editor_warning_role'>
          <input type='hidden' name='option_name[]' value='editor_warning_role_exclude'>
          
          <select name='option_value[]'>
            <option value='0'>Target these
            <option value='1' <?php if($editor_warning_role_exclude==1) echo 'selected';?>>Exclude these
          </select>
          
          <select id='editor_warning_role_select' onchange="atb_multiselect('editor_warning','role',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Users
            <option value='*All'>All Users<?php
            foreach(get_editable_roles() as $role_name=>$role_info):?>
              <option value='<?php echo $role_name;?>'><?php echo $role_name;
            endforeach;?>
          </select><br>
          
          <div id='editor_warning_role_items' class='atb_select_items'></div>
        </td>
        <td></td>
      </tr>
      
      <tr style='background:#FFF'>
        <td><span class='atb_title'><span class="dashicons dashicons-email-alt"></span> Email Password Reset</span><br>Force resets by emailed link only. Do not allow users to edit other users passwords.</td>
        <td nowrap>
          <input type='hidden' name='option_name[]' value='password_reset_link'>
          <select name='option_value[]' id='password_reset_link' onchange="atb_change('atb_config',this.id,this.selectedIndex);">
            <option value='' disabled  <?php if($atb_setup>0) echo 'selected';?>>Password Reset
            <option value='1' <?php if($password_reset_link==1) echo 'selected';?>>Enabled
            <option value='0' <?php if($password_reset_link==0 && $atb_setup==0) echo 'selected';?>>Disabled (WP Default)
          </select>
          <span id='password_reset_link-sel' class='sel_status'><?php echo $not_set;?></span>
        </td>
        
        <td nowrap id='password_reset_link_role_td' <?php if($password_reset_link==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='password_reset_link_role'>
          <input type='hidden' name='option_value[]' id='password_reset_link_role'>
          <input type='hidden' name='option_name[]' value='password_reset_link_role_exclude'>
          
          <select name='option_value[]'>
            <option value='0'>Target these
            <option value='1' <?php if($password_reset_link_role_exclude==1) echo 'selected';?>>Exclude these
          </select>
          
          <select id='password_reset_link_role_select' onchange="atb_multiselect('password_reset_link','role',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Users
            <option value='*All'>All Users<?php
            foreach(get_editable_roles() as $role_name=>$role_info):?>
              <option value='<?php echo $role_name;?>'><?php echo $role_name;
            endforeach;?>
          </select><br>
          
          <div id='password_reset_link_role_items' class='atb_select_items'></div>
        </td>
        <td></td>
      </tr>
      
      <tr style='background:#F5F5F5'>
        <td><span class='atb_title'><span class="dashicons dashicons-format-chat"></span> Disable Notices</span><br>Disable all update-related notifications in WordPress.</td>
        <td nowrap>
          <input type='hidden' name='option_name[]' value='disable_notices'>
          <select name='option_value[]' id='disable_notices' onchange="atb_change('atb_config',this.id,this.selectedIndex);">
            <option value='' disabled  <?php if($atb_setup>0) echo 'selected';?>>Disable Notices
            <option value='1' <?php if($disable_notices==1) echo 'selected';?>>Enabled
            <option value='0' <?php if($disable_notices==0 && $atb_setup==0) echo 'selected';?>>Disabled (WP Default)
          </select>
          <span id='disable_notices-sel' class='sel_status'><?php echo $not_set;?></span>
        </td>
        
        <td nowrap id='disable_notices_role_td' <?php if($disable_notices==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='disable_notices_role'>
          <input type='hidden' name='option_value[]' id='disable_notices_role'>
          <input type='hidden' name='option_name[]' value='disable_notices_role_exclude'>
          
          <select name='option_value[]'>
            <option value='0'>Target these
            <option value='1' <?php if($disable_notices_role_exclude==1) echo 'selected';?>>Exclude these
          </select>
          
          <select id='disable_notices_role_select' onchange="atb_multiselect('disable_notices','role',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Users
            <option value='*All'>All Users<?php
            foreach(get_editable_roles() as $role_name=>$role_info):?>
              <option value='<?php echo $role_name;?>'><?php echo $role_name;
            endforeach;?>
          </select><br>
          
          <div id='disable_notices_role_items' class='atb_select_items'></div>
        </td>
        <td></td>
      </tr>
      
      <tr style='background:#FFF'>
        <td><span class='atb_title'><span class="dashicons dashicons-format-quote"></span> Disable Auto-formatting (WPautop)</span><br>WordPress by default replaces double line breaks with &lt;p&gt; tags, and single line breaks with &lt;br&gt; tags.  Disable wpautop by post type.</td>
        <td nowrap>
          <input type='hidden' name='option_name[]' value='disable_wpautop'>
          <select name='option_value[]' id='disable_wpautop' onchange="atb_change('atb_config',this.id,this.selectedIndex);">
            <option value='' disabled  <?php if($atb_setup>0) echo 'selected';?>>Disable WPautop
            <option value='1' <?php if($disable_wpautop==1) echo 'selected';?>>Enabled
            <option value='0' <?php if($disable_wpautop==0 && $atb_setup==0) echo 'selected';?>>Disabled (WP Default)
          </select>
          <span id='disable_wpautop-sel' class='sel_status'><?php echo $not_set;?></span>
        </td>
        
        <td nowrap id='disable_wpautop_post_td' <?php if($disable_wpautop==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='disable_wpautop_post'>
          <input type='hidden' name='option_value[]' id='disable_wpautop_post'>
          <input type='hidden' name='option_name[]' value='disable_wpautop_post_exclude'>
          
          <select name='option_value[]'>
            <option value='0'>Target these
            <option value='1' <?php if($disable_wpautop_post_exclude==1) echo 'selected';?>>Exclude these
          </select>
          
          <select id='disable_wpautop_post_select' onchange="atb_multiselect('disable_wpautop','post',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Posts
            <option value='*All'>All Posts<?php
            foreach(get_post_types('','names') as $post_type):?>
              <option value='<?php echo $post_type;?>'><?php echo $post_type;
            endforeach;?>
          </select><br>
          
          <div id='disable_wpautop_post_items' class='atb_select_items'></div>
        </td>
        <td></td>
      </tr>
      
      <tr style='background:#F5F5F5'>
        <td><span class='atb_title'><span class="dashicons dashicons-post-status"></span> Geo-Location Targeting</span><br>Limit features in target countries. Attempting a log-in or a public post-request from a target country will fail submission.<br><br><?php if($atb_version_type=='PRO') { ?><span class="dashicons dashicons-unlock" style='color:#b71b8a'></span> <span class='caps'>Pro</span> feature is active.<?php } else { ?><span class="dashicons dashicons-lock" style='color:#CCC'></span><a href="#atb_head" onclick="atb_expand('atb_pro');">Unlock <span class='caps'>Pro</span></a> for geo-location targeting.<?php } ?></td>
        <td nowrap <?php if($atb_version_type!='PRO') { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
          <input type='hidden' name='option_name[]' value='disable_locs'>
          <select name='option_value[]' id='disable_locs' onchange="atb_change('atb_config',this.id,this.selectedIndex);">
            <option value='' disabled  <?php if($atb_setup>0) echo 'selected';?>>Limit Locations
            <option value='1' <?php if($disable_locs==1) echo 'selected';?>>Enable for Login Only
            <option value='2' <?php if($disable_locs==2) echo 'selected';?>>Enable for ALL Requests
            <option value='0' <?php if($disable_locs==0 && $atb_setup==0) echo 'selected';?>>Disabled (WP Default)
          </select>
          <span id='disable_locs-sel' class='sel_status'><?php echo $not_set;?></span>
        </td>
        
        <td nowrap id='disable_locs_ctry_td' <?php if($disable_locs==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
        
          <input type='hidden' name='option_name[]' value='disable_locs_ctry'>
          <input type='hidden' name='option_value[]' id='disable_locs_ctry'>
          <input type='hidden' name='option_name[]' value='disable_locs_exclude'>

          <select name='option_value[]'>
            <option value='0'>Target these countries
            <option value='1' <?php if($disable_locs_exclude==1) echo 'selected';?>>Exclude these countries
          </select>
        </td>
        
        <td nowrap id='disable_locs_post_td' <?php if($disable_locs==0 && $atb_setup==0) { ?>style='pointer-events:none;opacity:.3'<?php } ?>>
          <select id='disable_locs_ctry_select' onchange="atb_multiselect('disable_locs','ctry',this.options[this.selectedIndex].value);">
            <option value='' selected disabled>Countries<?php
            $cys=explode(',',"Afghanistan,Aland Islands,Albania,Algeria,American Samoa,Andorra,Angola,Anguilla,Antarctica,Antigua and Barbuda,Argentina,Armenia,Aruba,Australia,Austria,Azerbaijan,Bahamas,Bahrain,Bangladesh,Barbados,Belarus,Belgium,Belize,Benin,Bermuda,Bhutan,Bolivia,Bosnia and Herzegovina,Botswana,Bouvet Island,Brazil,British Virgin Islands,British Indian Ocean Territory,Brunei Darussalam,Bulgaria,Burkina Faso,Burundi,Cambodia,Cameroon,Canada,Cape Verde,Cayman Islands,Central African Republic,Chad,Chile,China,Hong Kong,Macao,Christmas Island,Cocos (Keeling) Islands,Colombia,Comoros,Congo (Brazzaville),Congo (Kinshasa),Cook Islands,Costa Rica,Cote d'Ivoire,Croatia,Cuba,Cyprus,Czech Republic,Denmark,Djibouti,Dominica,Dominican Republic,Ecuador,Egypt,El Salvador,Equatorial Guinea,Eritrea,Estonia,Ethiopia,Falkland Islands (Malvinas),Faroe Islands,Fiji,Finland,France,French Guiana,French Polynesia,French Southern Territories,Gabon,Gambia,Georgia,Germany,Ghana,Gibraltar,Greece,Greenland,Grenada,Guadeloupe,Guam,Guatemala,Guernsey,Guinea,Guinea-Bissau,Guyana,Haiti,Heard and Mcdonald Islands,Holy See (Vatican City State),Honduras,Hungary,Iceland,India,Indonesia,Iran,Iraq,Ireland,Isle of Man,Israel,Italy,Jamaica,Japan,Jersey,Jordan,Kazakhstan,Kenya,Kiribati,Korea (North),Korea (South),Kuwait,Kyrgyzstan,Lao PDR,Latvia,Lebanon,Lesotho,Liberia,Libya,Liechtenstein,Lithuania,Luxembourg,Macedonia,Madagascar,Malawi,Malaysia,Maldives,Mali,Malta,Marshall Islands,Martinique,Mauritania,Mauritius,Mayotte,Mexico,Micronesia,Moldova,Monaco,Mongolia,Montenegro,Montserrat,Morocco,Mozambique,Myanmar,Namibia,Nauru,Nepal,Netherlands,Netherlands Antilles,New Caledonia,New Zealand,Nicaragua,Niger,Nigeria,Niue,Norfolk Island,Northern Mariana Islands,Norway,Oman,Pakistan,Palau,Palestinian Territory,Panama,Papua New Guinea,Paraguay,Peru,Philippines,Pitcairn,Poland,Portugal,Puerto Rico,Qatar,Reunion,Romania,Russian Federation,Rwanda,Saint-Barthelemy,Saint Helena,Saint Kitts and Nevis,Saint Lucia,Saint-Martin (French part),Saint Pierre and Miquelon,Saint Vincent and Grenadines,Samoa,San Marino,Sao Tome and Principe,Saudi Arabia,Senegal,Serbia,Seychelles,Sierra Leone,Singapore,Slovakia,Slovenia,Solomon Islands,Somalia,South Africa,South Georgia and the South Sandwich Islands,South Sudan,Spain,Sri Lanka,Sudan,Suriname,Svalbard and Jan Mayen Islands,Swaziland,Sweden,Switzerland,Syrian Arab Republic (Syria),Taiwan,Tajikistan,Tanzania,Thailand,Timor-Leste,Togo,Tokelau,Tonga,Trinidad and Tobago,Tunisia,Turkey,Turkmenistan,Turks and Caicos Islands,Tuvalu,Uganda,Ukraine,United Arab Emirates,United Kingdom,United States of America,US Minor Outlying Islands,Uruguay,Uzbekistan,Vanuatu,Venezuela (Bolivarian Republic),Viet Nam,Virgin Islands,Wallis and Futuna Islands,Western Sahara,Yemen,Zambia,Zimbabwe");
            $cy_codes=explode(',',"AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BA,BW,BV,BR,VG,IO,BN,BG,BF,BI,KH,CM,CA,CV,KY,CF,TD,CL,CN,HK,MO,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CU,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HU,IS,IN,ID,IR,IQ,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KP,KR,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MK,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RE,RO,RU,RW,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SZ,SE,CH,SY,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VI,WF,EH,YE,ZM,ZW");
            $cys=array_combine($cy_codes,$cys);
            foreach($cys as $cd=>$cy){ ?><option value='<?php echo $cd;?>'><?php echo $cy;} ?>
          </select><br>

          <div id='disable_locs_ctry_items' class='atb_select_items'></div></td>
      </tr>
      
      <tr>
        <td>
          <?php if($atb_setup==0) { ?>
          <input type='hidden' name='option_name[]' value='hide_survey'>
          <input type='hidden' name='option_value[]' id='hide_survey' value=<?php if($hide_survey==1) echo 1; else echo 0;?>>
          <?php } ?>
          <input id='atb_save' type='submit' value='Save' style='display:<?php if($atb_setup==0) echo 'block'; else echo 'none';?>' onclick="atb_change('atb_config',2,2); return false;">
        </td>
      </tr>

    </table>
  </form>

  <?php if($atb_setup==0) { ?>
  <input type='button' id='atb_survey_button' value='<?php if($hide_survey==1) { ?>Show<?php }else{ ?>Hide<?php } ?> Survey'
    onclick="
      if(document.getElementById('hide_survey')) {
        if(document.getElementById('hide_survey').value==1) document.getElementById('hide_survey').value=0;
        else document.getElementById('hide_survey').value=1;
      }
      if(document.getElementById('atb_config')) document.getElementById('atb_config').submit();">
  <?php } ?>
  
  <div id='input_saved'>Saved</div>
</div>

<?php if($hide_survey!=1 && $atb_setup==0) { ?><iframe id='atb_survey' style='width:100%;height:50em' src='https://www.surveymonkey.com/r/7TTPGLF'></iframe><?php } ?>

<script type='text/javascript'><?php 
  if($atb_version_type=='PRO') {$pro=get_option('atb_pro'); if($pro=='new') update_option('atb_pro','yes','no');} else $pro='no';
  if($pro=='new' || ($atb_version_type=='GPL' && isset($_GET['updated']) && function_exists('gzcompress'))) { ?>
    var atb_version_Interval=setInterval(function() {
      if(document.readyState==='complete') {clearInterval(atb_version_Interval);atb_expand('atb_pro');window.location.hash='#atb_pro';}
    },200);<?php 
  } ?>
  
  if('<?php echo $input_saved;?>'>0) {
    save_msg=document.getElementById('input_saved');
    save_msg.style.opacity=1;
    save_msg.style.display='block';
    save_msg.innerHTML='Saved';
    setTimeout(function(){save_msg.style.opacity=0;},2000);
    setTimeout(function(){save_msg.style.display='none';},3000);
  }

  var rolemultiselect_Interval=setInterval(function() {
    if(document.readyState==='complete') {
      clearInterval(rolemultiselect_Interval);
      
      var post_array='<?php echo $disable_visual_editor_post?>'.split(',');
      if(post_array) for(var i=0; i<post_array.length; i++) if(post_array[i].length>1) atb_multiselect('disable_visual_editor','post',post_array[i]);
      
      post_array='<?php echo $hide_new_btn_post?>'.split(',');
      if(post_array) for(var i=0; i<post_array.length; i++) if(post_array[i].length>1) atb_multiselect('hide_new_btn','post',post_array[i]);
      
      post_array='<?php echo $hide_bulk_action_post?>'.split(',');
      if(post_array) for(var i=0; i<post_array.length; i++) if(post_array[i].length>1) atb_multiselect('hide_bulk_action','post',post_array[i]);
      
      post_array='<?php echo $disable_heartbeat_post?>'.split(',');
      if(post_array) for(var i=0; i<post_array.length; i++) if(post_array[i].length>1) atb_multiselect('disable_heartbeat','post',post_array[i]);
      
      post_array='<?php echo $limit_revisions_post?>'.split(',');
      if(post_array) for(var i=0; i<post_array.length; i++) if(post_array[i].length>1) atb_multiselect('limit_revisions','post',post_array[i]);
      
      post_array='<?php echo $disable_wpautop_post?>'.split(',');
      if(post_array) for(var i=0; i<post_array.length; i++) if(post_array[i].length>1) atb_multiselect('disable_wpautop','post',post_array[i]);
      
      var pagetype_array='<?php echo $disable_heartbeat_pagetype;?>'.split(',');
      if(pagetype_array) for(var i=0; i<pagetype_array.length; i++) if(pagetype_array[i].length>1) atb_multiselect('disable_heartbeat','pagetype',pagetype_array[i]);
      
      var role_array='<?php echo $disable_visual_editor_role;?>'.split(',');
      if(role_array) for(var i=0; i<role_array.length; i++) if(role_array[i].length>1) atb_multiselect('disable_visual_editor','role',role_array[i]);
      
      role_array='<?php echo $hide_new_btn_role;?>'.split(',');
      if(role_array) for(var i=0; i<role_array.length; i++) if(role_array[i].length>1) atb_multiselect('hide_new_btn','role',role_array[i]);
      
      role_array='<?php echo $hide_bulk_action_role;?>'.split(',');
      if(role_array) for(var i=0; i<role_array.length; i++) if(role_array[i].length>1) atb_multiselect('hide_bulk_action','role',role_array[i]);
      
      role_array='<?php echo $limit_usereditor_role_role;?>'.split(',');
      if(role_array) for(var i=0; i<role_array.length; i++) if(role_array[i].length>1) atb_multiselect('limit_usereditor_role','role',role_array[i]);
      
      role_array='<?php echo $limit_usereditor_hiderole_role;?>'.split(',');
      if(role_array) for(var i=0; i<role_array.length; i++) if(role_array[i].length>1) atb_multiselect('limit_usereditor_hiderole','role',role_array[i]);
      
      role_array='<?php echo $limit_img_size_role;?>'.split(',');
      if(role_array) for(var i=0; i<role_array.length; i++) if(role_array[i].length>1) atb_multiselect('limit_img_size','role',role_array[i]);
      
      role_array='<?php echo $password_reset_link_role;?>'.split(',');
      if(role_array) for(var i=0; i<role_array.length; i++) if(role_array[i].length>1) atb_multiselect('password_reset_link','role',role_array[i]);
      
      role_array='<?php echo $disable_notices_role;?>'.split(',');
      if(role_array) for(var i=0; i<role_array.length; i++) if(role_array[i].length>1) atb_multiselect('disable_notices','role',role_array[i]);
      
      role_array='<?php echo $page_hit_role;?>'.split(',');
      if(role_array) for(var i=0; i<role_array.length; i++) if(role_array[i].length>1) atb_multiselect('page_hit','role',role_array[i]);
      
      role_array='<?php echo $editor_warning_role;?>'.split(',');
      if(role_array) for(var i=0; i<role_array.length; i++) if(role_array[i].length>1) atb_multiselect('editor_warning','role',role_array[i]);
      
      role_array='<?php echo $dual_auth_role;?>'.split(',');
      if(role_array) for(var i=0; i<role_array.length; i++) if(role_array[i].length>1) atb_multiselect('dual_auth','role',role_array[i]);
      
      role_array='<?php echo $disable_locs_ctry;?>'.split(',');
      if(role_array) for(var i=0; i<role_array.length; i++) if(role_array[i].length>1) atb_multiselect('disable_locs','ctry',role_array[i]);
    }
  },200);
  
  function atb_multiselect(input_id,input_type,sel) {
    var input_field=document.getElementById(input_id+'_'+input_type);
    var div_display=document.getElementById(input_id+'_'+input_type+'_items');
    if(sel=='*All') {
      input_field.value=sel;
      div_display.innerHTML='<span class="atb_title">'+sel+'</span>';
      document.getElementById(input_id+'_'+input_type+'_select').selectedIndex=0;
      return false;
    } else {
      input_field.value=input_field.value.replace('*All','');
      div_display.innerHTML=div_display.innerHTML.replace('<span class="atb_title">'+'*All','</span>');
    }
    var c=','; //comma
    if(input_field.value.indexOf(c+sel+c)<0) { //add value
      input_field.value=input_field.value+c+sel+c;
      sel_div='<div class="atb_select_item" title="delete" onclick="atb_multiselect(\''+input_id+'\',\''+input_type+'\',\''+sel+'\');" id="'+input_id+'_'+input_type+'-'+sel+'">'+sel+'</div>';
      if(!document.getElementById(input_id+'_'+input_type+'-'+sel)) div_display.innerHTML=div_display.innerHTML+sel_div;
    } else {
      input_field.value=input_field.value.replace(c+sel+c,c);
      document.getElementById(input_id+'_'+input_type+'-'+sel).style.display='none';
      document.getElementById(input_id+'_'+input_type+'-'+sel).setAttribute('id','deleted_div');
    }
    input_field.value=input_field.value.replace(c+c,c);
    document.getElementById(input_id+'_'+input_type+'_select').selectedIndex=0;
  }
  
  function atb_change(fid,sid,sel_index) {
    if(sel_index>0) if(document.getElementById(sid+'-sel'))document.getElementById(sid+'-sel').innerHTML='';
    
    if(sel_index==1) {
      if(document.getElementById(sid+'_role_td'))document.getElementById(sid+'_role_td').style.visibility='visible';
      if(document.getElementById(sid+'_count_td'))document.getElementById(sid+'_count_td').style.visibility='visible';
      if(document.getElementById(sid+'_post_td'))document.getElementById(sid+'_post_td').style.visibility='visible';
      if(document.getElementById(sid+'_pagetype_td'))document.getElementById(sid+'_pagetype_td').style.visibility='visible';
      if(document.getElementById('atb_config').innerHTML.indexOf('26a0')>=0) return false;
    } else {
      if(document.getElementById(sid+'_role_td'))document.getElementById(sid+'_role_td').style.visibility='hidden';
      if(document.getElementById(sid+'_count_td'))document.getElementById(sid+'_count_td').style.visibility='hidden';
      if(document.getElementById(sid+'_post_td'))document.getElementById(sid+'_post_td').style.visibility='hidden';
      if(document.getElementById(sid+'_pagetype_td'))document.getElementById(sid+'_pagetype_td').style.visibility='hidden';
    }
    
    if(document.getElementById('atb_config').innerHTML.indexOf('26a0')<0) document.getElementById('atb_save').style.display='block'; else return false;
    atb_loading();
    setTimeout(function(){ if(document.getElementById(fid)) document.getElementById(fid).submit(); },2000);
  }
  
  function atb_loading() {
    if(document.getElementById('atb_admin')) var atb_head=document.getElementById('atb_admin');
    if(atb_admin) {atb_admin.style.opacity='.3'; atb_admin.style.pointerEvents='none';}
    
    if(document.getElementById('atb_head')) var atb_head=document.getElementById('atb_head');
    if(atb_head) atb_head.innerHTML=atb_head.innerHTML+"<progress id='loading' style='float:left;width:100%;' max='100'></progress>";
  }

  function atb_switchScreen(screen) {
    document.getElementById('atb_phv').style.opacity='0';
    document.getElementById('atb_admin').style.opacity='0';
    setTimeout(function(){
      document.getElementById('atb_return').style.display='none';
      document.getElementById('atb_phv').style.display='none';
      document.getElementById('atb_admin').style.display='none';
      document.getElementById('view_hits_btn').style.display='inline-block';
    },100);
    
    setTimeout(function(){
      document.getElementById(screen).style.display='block';
      if(screen=='atb_phv')document.getElementById('atb_return').style.display='block';
      setTimeout(function(){document.getElementById(screen).style.opacity='1';},100);
    },101);
  }

  function atb_copy(content_id,button_id) {
    document.getElementById(button_id).disabled=true;
    var contents=document.getElementById(content_id).innerHTML;
    var contentv=document.getElementById(content_id).style.display;
    
    if(contents.indexOf('&#9986;')>0) return false;
    var tmpEl;
    var copy_temp='copy_temp'+Math.floor((Math.random()*1000)+1);
    
    tmpEl=document.createElement(copy_temp);
    tmpEl.style.opacity=0;
    tmpEl.style.position="absolute";
    tmpEl.style.pointerEvents="none";
    tmpEl.style.zIndex=-1;
    tmpEl.innerHTML=contents;
    document.body.appendChild(tmpEl);

    var range=document.createRange();
    range.selectNode(tmpEl);
    
    var w=window.getSelection();
    if(w.rangeCount>0) w.removeAllRanges();
    w.addRange(range);

    if(!document.execCommand("copy")) {
      alert('Unable to auto-copy this content.\nPlease copy this content manually.');
      return false;
    }
    document.body.removeChild(tmpEl);
    
    var confirm="<div class='caps' style='position:absolute;background:#17A;color:#DDD;padding:2em;border-radius:3px;box-shadow:0px 3px 5px #888;z-index:99'>&#9986; Copied to clipboard!</div>";
    var opaque="<div style='opacity:.3;height:100%;width:100%;'>"+contents+"</div>";
    
    document.getElementById(content_id).innerHTML=confirm+opaque;
    
    setTimeout(function(){
      document.getElementById(content_id).innerHTML=contents;
      document.getElementById(button_id).disabled=false;
    },2000);
  }

  function atb_expand(id) {
    if(!document.getElementById(id)) return false;
    var target=document.getElementById(id);
    if(target.style.opacity!=1) {
      target.style.display='block';
      setTimeout(function(){
        target.style.opacity='1';
        target.style.maxHeight='99em';
        target.style.padding=target.style.overflow='';
      },10);
    } else {
      target.style.maxHeight=target.style.opacity=target.style.padding='0';
      target.style.overflow='none';
      setTimeout(function(){target.style.display='none';},500);
    }
  }
</script>