<?php

if(!defined('ABSPATH')) exit;
$user_roles=atb_cur();
if(empty($user_roles)) $user_roles=array();
$get_config=atb_r("SELECT option_name,option_value FROM wp_atb_options;");

if($get_config):
  foreach($get_config as $row):
    
    if($row->option_name=='disable_heartbeat') $disable_heartbeat=$row->option_value;
    if($row->option_name=='disable_heartbeat_pagetype') $disable_heartbeat_pagetype=explode(",",$row->option_value);
    if($row->option_name=='disable_heartbeat_pagetype_exclude') $disable_heartbeat_pagetype_exclude=$row->option_value;
    if($row->option_name=='disable_heartbeat_post') $disable_heartbeat_post=explode(",",$row->option_value);
    if($row->option_name=='disable_heartbeat_post_exclude') $disable_heartbeat_post_exclude=$row->option_value;
    
    if($row->option_name=='page_hit') $page_hit=$row->option_value;
    if($row->option_name=='page_hit_role') $page_hit_role=explode(",",$row->option_value);
    if($row->option_name=='page_hit_role_exclude') $page_hit_role_exclude=$row->option_value;
    
    if($row->option_name=='disable_wpautop') $disable_wpautop=$row->option_value;
    if($row->option_name=='disable_wpautop_post') $disable_wpautop_post=explode(",",$row->option_value);
    if($row->option_name=='disable_wpautop_post_exclude') $disable_wpautop_post_exclude=$row->option_value;
  endforeach;

  // Capture Page Hits
  if($page_hit==1) {
    if(($page_hit_role_exclude==0 && (count(array_intersect($page_hit_role,$user_roles))>0 || in_array('*All',$page_hit_role,true)))
     || ($page_hit_role_exclude==1 && count(array_intersect($page_hit_role,$user_roles))==0 && !in_array('*All',$page_hit_role,true))) {

      atb_hit_page();
    }
  }


  // Deregister Heartbeat on public pages
  if($disable_heartbeat==1) {
    if(($disable_heartbeat_pagetype_exclude==0 && (in_array('Public',$disable_heartbeat_pagetype,true) || in_array('*All',$disable_heartbeat_pagetype,true)))
     || ($disable_heartbeat_pagetype_exclude==1 && !in_array('Public',$disable_heartbeat_pagetype,true) && !in_array('*All',$disable_heartbeat_pagetype,true))) {

        function atb_deregister_heartbeat_public() {wp_deregister_script('heartbeat');}
        atb_deregister_heartbeat_public();
        //echo "<script type='text/javascript'>alert('deregister heartbeat');</script>";
    }
  }


  // Disable WPautop
  if($disable_wpautop==1) {
    $post_type=get_post_type(get_the_ID());
    
    if(($disable_wpautop_post_exclude==0 && (in_array($post_type,$disable_wpautop_post,true) || in_array('*All',$disable_wpautop_post,true)))
     || ($disable_wpautop_post_exclude==1 && !in_array($post_type,$disable_wpautop_post,true) && !in_array('*All',$disable_wpautop_post,true))) {

      remove_filter('the_content','wpautop');
      remove_filter('the_excerpt','wpautop');
      //echo "<script type='text/javascript'>alert('wpautop_disabled');</script>";
    }
  }

endif; ?>