<?php

if(!defined('ABSPATH')) exit;
$user_roles=atb_cur();
if(empty($user_roles)) $user_roles=array();
$get_config=atb_r("SELECT option_name,option_value FROM wp_atb_options;");

if($get_config):
  foreach($get_config as $row):
    if($row->option_name=='password_reset_link') $password_reset_link=$row->option_value;
    if($row->option_name=='password_reset_link_role') $password_reset_link_role=explode(",",$row->option_value);
    if($row->option_name=='password_reset_link_role_exclude') $password_reset_link_role_exclude=$row->option_value;
    
    if($row->option_name=='page_hit') $page_hit=$row->option_value;
    if($row->option_name=='page_hit_role') $page_hit_role=explode(",",$row->option_value);
    if($row->option_name=='page_hit_role_exclude') $page_hit_role_exclude=$row->option_value;
  endforeach;


  // Capture Page Hits
  if($page_hit==1) {
    if(($page_hit_role_exclude==0 && (count(array_intersect($page_hit_role,$user_roles))>0 || in_array('*All',$page_hit_role,true)))
     || ($page_hit_role_exclude==1 && count(array_intersect($page_hit_role,$user_roles))==0 && !in_array('*All',$page_hit_role,true))) {
      atb_hit_page();
    }
  }


  // Password Reset via Emailed Link
  if($password_reset_link==1) {
    if(($password_reset_link_role_exclude==0 && (count(array_intersect($password_reset_link_role,$user_roles))>0 || in_array('*All',$password_reset_link_role,true)))
     || ($password_reset_link_role_exclude==1 && count(array_intersect($password_reset_link_role,$user_roles))==0 && !in_array('*All',$password_reset_link_role,true))) {
     
      // Autofill Email on Reset Password Form
      if(atb_is_path('action=lostpassword&user_login')) { ?>
          <script type='text/javascript'>
            var autofillUser_interval=setInterval(function() {if(document.readyState==='complete') {clearInterval(autofillUser_interval); atb_autofillUser();}},100);
            function atb_autofillUser() {
              var url_start=window.location.href.indexOf("&user_login")+12;
              var user_login=window.location.href.substring(url_start,999);
              document.getElementById('user_login').value=user_login;
              document.getElementById('wp-submit').addEventListener("click", function() {
                document.getElementById('login').style.opacity='.3';
                setTimeout(function(){alert("A password reset link has been sent to "+user_login); window.close();},100);
              }, false);
            }
          </script><?php
      }
    }
  }
endif; ?>